nodejs 安装 ffi 模块 无脑流程

本文中提及的 {V} 根据自己需要替换为下列对应的nodeJs版本号

windows工具包对应于nodeJs的版本

windows-build-tools 4.0 支持的版本 Node v8.
windows-build-tools 3.0 支持的版本 Node v6.
windows-build-tools 1.0 支持的版本 Node v4.

对应的nodejs版本下载地址

https://nodejs.org/dist/latest-v{V}.x/

设置下载源

npm config set registry https://registry.npm.taobao.org

设置msvs版本,后边会安装,编译的时候会调用

npm config set msvs_version 2017

查看下载源是否设置成功

npm config get registry

windows-build-tools安装

npm install --global --production windows-build-tools@{V}.0

安装node-gyp

npm i -g node-gyp

node-gyp编译包下载

node-gyp install --dist-url=https://npm.taobao.org/mirrors/node

安装node-ffi

npm i ffi --save

安装ref

npm i -g ref

本文链接:

https://logs.ee/coding/20210904/22.html
1 + 9 =
快来做第一个评论的人吧~